Debian Bug report logs - #510633
powersaved: Doesn't enable introspection in dbus config file

version graph

Package: powersaved; Maintainer for powersaved is (unknown);

Reported by: Matthew Johnson <mjj29@debian.org>

Date: Sat, 3 Jan 2009 22:27:04 UTC

Severity: normal

Tags: patch

Found in version powersave/0.15.20-3

Fixed in version powersave/0.15.20-5

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Biebl <biebl@debian.org>:
Bug#510633; Package powersaved. (Sat, 03 Jan 2009 22:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthew Johnson <mjj29@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Biebl <biebl@debian.org>. (Sat, 03 Jan 2009 22:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Matthew Johnson <mjj29@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: powersaved: Doesn't enable introspection in dbus config file
Date: Sat, 03 Jan 2009 22:24:59 +0000
Package: powersaved
Version: 0.15.20-3
Severity: serious


The fix for #503532 means that powersaved will stop responding to
introspection because it is not allowed in the config file. There may be
other problems which I haven't checked yet, but this bug definitely
needs to be fixed. Anyone fixing this should check that all methods
which should be allowed are allowed in the configuration.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-4-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Blocking bugs of 503532 added: 510633 Request was from Matthew Johnson <mjj29@debian.org> to control@bugs.debian.org. (Sat, 03 Jan 2009 22:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Biebl <biebl@debian.org>:
Bug#510633; Package powersaved. (Thu, 08 Jan 2009 23:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Biebl <biebl@debian.org>. (Thu, 08 Jan 2009 23:18:02 GMT) Full text and rfc822 format available.

Message #12 received at 510633@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: 510633@bugs.debian.org
Subject: Bug #510633: not actually RC
Date: Thu, 8 Jan 2009 23:14:50 +0000
[Message part 1 (text/plain, inline)]
severity 510633 normal
tags 510633 + patch
thanks

powersaved doesn't actually implement introspection, so bug #510633
isn't a regression. Please test powersaved with the new dbus package -
I suspect it'll work fine.

In fact, in a way rejecting the introspection messages is better, since
it means introspection will fail immediately, rather than after 25
seconds... I'll file a separate bug about that.

The attached patch is untested, but I think it provides a fairly sensible
policy. It applies after all the current Debian patches.

    Simon
[dbus-policy.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal' from `serious' Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Thu, 08 Jan 2009 23:21:04 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Simon McVittie <smcv@debian.org> to control@bugs.debian.org. (Thu, 08 Jan 2009 23:21:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Thu, 05 Feb 2009 21:09:21 GMT) Full text and rfc822 format available.

Notification sent to Matthew Johnson <mjj29@debian.org>:
Bug acknowledged by developer. (Thu, 05 Feb 2009 21:09:21 GMT) Full text and rfc822 format available.

Message #21 received at 510633-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 510633-close@bugs.debian.org
Subject: Bug#510633: fixed in powersave 0.15.20-5
Date: Thu, 05 Feb 2009 20:48:32 +0000
Source: powersave
Source-Version: 0.15.20-5

We believe that the bug you reported is fixed in the latest version of
powersave, which is due to be installed in the Debian FTP archive:

libpowersave-dev_0.15.20-5_i386.deb
  to pool/main/p/powersave/libpowersave-dev_0.15.20-5_i386.deb
libpowersave11_0.15.20-5_i386.deb
  to pool/main/p/powersave/libpowersave11_0.15.20-5_i386.deb
powersave_0.15.20-5.diff.gz
  to pool/main/p/powersave/powersave_0.15.20-5.diff.gz
powersave_0.15.20-5.dsc
  to pool/main/p/powersave/powersave_0.15.20-5.dsc
powersaved_0.15.20-5_i386.deb
  to pool/main/p/powersave/powersaved_0.15.20-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 510633@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated powersave package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 05 Feb 2009 21:29:19 +0100
Source: powersave
Binary: powersaved libpowersave11 libpowersave-dev
Architecture: source i386
Version: 0.15.20-5
Distribution: unstable
Urgency: low
Maintainer: Michael Biebl <biebl@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 libpowersave-dev - power management daemon - development files
 libpowersave11 - power management daemon - shared library
 powersaved - power management daemon
Closes: 510633
Changes: 
 powersave (0.15.20-5) unstable; urgency=low
 .
   * debian/patches/01-dbus_access.patch
     - Revise D-Bus policy file for the newer, stricter D-Bus system bus
       default policy. As powersaved does not have support for D-Bus
       introspection (yet) we explicitly do not allow it to avoid long
       timeouts. Closes: #510633
       Based on the patch from Simon McVittie, thanks!.
Checksums-Sha1: 
 90976574c9bb9bde9186a9d74c5773784ee3f947 1333 powersave_0.15.20-5.dsc
 266ffb362c24e70d20538f6e5289ae4ad3b735da 12886 powersave_0.15.20-5.diff.gz
 0ef55cc2eed27f75eb994718971291accd868c1d 361094 powersaved_0.15.20-5_i386.deb
 81b29b1f25a32538fde6f3f9b10c5059ad0a68d1 39534 libpowersave11_0.15.20-5_i386.deb
 1d08b031b2fffafa3bcece963ceb121e53daa925 46454 libpowersave-dev_0.15.20-5_i386.deb
Checksums-Sha256: 
 c959a8fa53e56a109f28687dd5fd521082a2971d5270e3a5a56be81dd3d67437 1333 powersave_0.15.20-5.dsc
 1f9de0ed2f31b97551ddd0ade86ee2fc351b87672ef52f3d8aa8c74e65698c81 12886 powersave_0.15.20-5.diff.gz
 e3303bfbf198413a5449c4c8e0b3c8c6ed2e03b5c5d65c706f06e13d4d353c3a 361094 powersaved_0.15.20-5_i386.deb
 5aa10ffe41db18a5d977963b3a77d80f9486cb238199198c3a71554e43945c63 39534 libpowersave11_0.15.20-5_i386.deb
 e7e0b37b712595df116a9bfd7615e287d89da43f65f719710fd2c80321c3abf3 46454 libpowersave-dev_0.15.20-5_i386.deb
Files: 
 7bb28e77545a47de44ccd24f4a827e4d 1333 admin optional powersave_0.15.20-5.dsc
 6dcbfcec19f5ea73800e24ba7eea2182 12886 admin optional powersave_0.15.20-5.diff.gz
 fd6f62bc35e04bde10a8878fc7285b6b 361094 admin optional powersaved_0.15.20-5_i386.deb
 841b123aaec9c040f1b0788c5ae89e08 39534 libs optional libpowersave11_0.15.20-5_i386.deb
 b6850e0a29a92e1a6185508a69da8f43 46454 libdevel optional libpowersave-dev_0.15.20-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmLTPkACgkQh7PER70FhVRpfQCaAlmdZiY9dncgbrxP6GaFIlh1
1XYAmweu0CakBRDmf821R/WdSb36BvWC
=41e5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 19 Mar 2009 07:30:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:08:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.